Forums | Mahara Community

Forums /
Developers


Anything about Mahara software development, or developing for Mahara:

  • Core development
  • Databases
  • Usability
  • Testing
  • Developing new plugins

Note that the Mahara core developers tend to discuss things in #mahara-dev on freenode. You're welcome to lurk there, and listen in on conversations, but it's only for discussions about Mahara's development itself - you can use #mahara for those questions.

Also, check out the developer area of the wiki - it has information about Mahara's internals and on how to write plugins.

Topic Posts Last post

Closed Developer Documentation by Nigel

If you're looking for documentation on how Maha...
1 12 August 2009, 12:11 AM

by Nigel

Text containing emojis are not accepted in Mahara MySQL DB by Paula Ardanza Menéndez

Hi everyone,
2 05 September 2017, 9:47 AM

by Cecilia Vela

hyperlinks in language files by Jawyei Wong

We are on 16.10.2 and on forgotpass.php, hyperl...
3 05 September 2017, 9:42 AM

by Jawyei Wong

Remove archived submissions by Jawyei Wong

Is there a way to remove archived submissions o...
7 29 August 2017, 4:24 PM

by Kristina Hoeppner

Mahara Mobile by Paul K

Hello,
7 28 August 2017, 10:19 AM

by Kristina Hoeppner

15.04 Watchlist not being added to activity_queue by Al Young

Hi all,
2 19 August 2017, 2:07 AM

by Al Young

Customise fonts colors by Margari León

Hello, I´m afraid that I´m going to do a silly ...
4 28 July 2017, 9:53 PM

by Margari León

Closed 62nd Mahara developer meeting: 27 July 2017 by Robert Lyon

Hello Mahara developers,
2 24 July 2017, 10:30 AM

by Kristina Hoeppner

Javascript in the footer ? by De Chiara Antonella

Hello !
2 24 July 2017, 8:07 AM

by Robert Lyon

Plugin Wish: Calendar by Ralf Hilgenstock

Just from a training in Germany we got this wis...
5 18 July 2017, 8:26 PM

by Andreas Schenkel

Pieform : how to add elements to an array in a form by De Chiara Antonella

Hi Folks,
6 14 July 2017, 12:42 AM

by De Chiara Antonella

Blocktype render_instance problem by Hil Cyrille

Hi All,
2 11 July 2017, 9:45 AM

by Cecilia Vela

Keyboard Shortcuts by Gordon McLeod


4 27 June 2017, 2:51 PM

by Kristina Hoeppner

Change the order of the progressbar by De Chiara Antonella

Hello,
6 16 June 2017, 11:12 AM

by Robert Lyon

61st Mahara developer meeting: 15 June 2017 by Kristina Hoeppner

Hello Mahara developers,
1 09 June 2017, 11:54 AM

by Kristina Hoeppner

I want to associate a file with my own plugin by Tetsuhiro Nakanishi

Hello!
1 06 June 2017, 6:14 PM

by Tetsuhiro Nakanishi

Processing problem on implementation of a new plugin by Hil Cyrille

Hi All,
2 03 June 2017, 9:47 AM

by Gregor Anželj

Web services in Mahara 16.04.0 by Osbel Rondón

Hello everyone
3 31 May 2017, 1:05 PM

by Osbel Rondón

User object by Osbel Rondón

Hello everyone
2 30 May 2017, 9:38 AM

by Robert Lyon

I want to create form containing radio buttons with Pieforms by Tetsuhiro Nakanishi

Hello.
3 25 May 2017, 11:20 AM

by Tetsuhiro Nakanishi

Managing of Media content related to each portfolio very difficult/impossible by Daniele Frusone

Dear Community,
2 24 May 2017, 11:57 AM

by Kristina Hoeppner

main_nav by Osbel Rondón

Hello
3 12 May 2017, 3:28 AM

by Osbel Rondón

Authentication by Osbel Rondón

Hello everyone
7 09 May 2017, 2:52 PM

by Osbel Rondón

60th Mahara developer meeting: 4 May 2017 by Kristina Hoeppner

Hello Mahara developers,
4 04 May 2017, 8:48 PM

by Kristina Hoeppner

Enter button (on keyboard) not working when searching for a user by Lisa Ransom

When you search for a user (under the Administr...
3 02 May 2017, 10:49 AM

by Robert Lyon

17.04 menu issues by Patric Lougheed

I am testing 17.04 rc2 and I have to admit I am...
5 02 May 2017, 8:03 AM

by Patric Lougheed

Help